QUAKESPASM(1)

NAME
quakespasm - an engine for iD software's Quake

SYNOPSIS
quakespasm [options]

DESCRIPTION
This manual page documents briefly the quakespasm command.

Quakespasm is a *Nix friendly Quake Engine based on the SDL port of the popular FitzQuake. It includes some new features, important fixes, and aims for portability and 64 bit correctness.

OPTIONS
This program follows the Quake convention, with long options starting with a single dash (`-'). A summary of options is included below.

-basedir directory
    Specify the location of the game data files.

-bgsound
    Continue to play sound when the game window is backgrounded.

-bpp integer
    Specify the colour depth used for the video mode.

-cd Use CD audio.

-cddev device
    Specify the CD device to be used for CD audio.

-condebug
    Write a log file containing debugging information.

-consize integer
    Specify the size of the console buffer in kilobytes.

-current
    Start the game in the current video mode for OpenGL.

-dedicated
    Start the game in a dedicated server mode.

-dinput
    Enable DirectInput mode for input devices in the game. [Not used.]

-f, -fullscreen
    Use a full screen video mode.

-fitz
    Fitz mode: disable Quakespasm customizations, act like vanilla Fitzquake.

-force
    Force the switch to the video mode specified by other command line arguments.

-fullsbar
    Enable the refreshing of the full status bar.

-game name
    Start the game using the files from a mission pack or a mod.

-heapsize integer
    Start the game and allocate the specified number of kilobytes of memory for the game.

-height pixels
    Specify the vertical resolution to use for the game screen.

-hipnotic
    Start the game with the Hipnotic mission pack.

-ip ip-address
    Start the game and specify an alternative IP address to be used by the game.

-ipxport port
    The port number to be used by the server for the IPX network protocol.

-listen integer
    Specify the maximum number of players that can connect to the listen server.

-minmemory
    Allocate as little memory as possible while remaining functional.

-noadd
    Disable the use of the OpenGL additive texture environment extension.

-noadjustaspect
    Disable automatic adjustment of the video mode aspect ratio.

-nocdaudio
    Disable CD music audio.

-nocombine
    Disable the use of the OpenGL texture combining extension.

-noipx
    Disable game support for the IPX/SPX network protocol.

-nolan
    Disable support for all network protocols.

-nomouse
    Disable support for the mouse.

-nomtex
    Disable the use of the OpenGL multitexture extension.

-nosound
    Disable support for sound hardware.

-noudp
    Disable support for the UDP network protocol.

-particles integer
    Specify the maximum number of particles to be rendered on the screen at once.

-port port
    Specify port for both IPX and UDP network protocols.

-quoth
    Use extensions from the Quoth mod.

-rogue
    Start the game with the Rogue mission pack.

-sndspeed sample-rate
    Specify the sampling rate used for sound, default is 11025.

-udpport port
    Specify the UDP port number that the game should use for network play.

-w, -window
    Start the game in a windowed OpenGL video mode.

-width pixels
    The horizontal resolution to use for the game screen.

-zone kb
    Specify the amount of memory in kilobytes to allocate to holding dynamic information such as aliases.

AUTHOR
Quakespasm was written by Kristian Duske and John Fitzgibbons.

This manual page was written by David Banks <amoebae@gmail.com>, for the Debian project (and may be used by others).